#include<iostream>
using namespace std;
int nacini26(char s[],int n){
    int i;
    if(int(s[0])==65){
        for(i=1;i<n;i++){
            if(int(s[i])!=int(s[i-1])+1){
                return 0;
            }
        }
        return 1;
    }
    else
        return 0;
}
int main(){
    int n,i;
    char s[27];
    cin>>n;
    for(i=0;i<n;i++)
        cin>>s[i];
    if(n<26)
        cout<<0;
    else{
        if(n==26)
            cout<<nacini26(s,n);
    }
}